FTGL: FTSimpleLayout.h File Reference

FTGL 2.4.0

Data Structures | Functions
FTSimpleLayout.h File Reference
`#include <FTGL/ftgl.h>`
Include dependency graph for FTSimpleLayout.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTSimpleLayout
| FTSimpleLayout is a specialisation of FTLayout for simple text boxes. More...

## Functions
FTGLlayout * | ftglCreateSimpleLayout (void)
void | ftglSetLayoutFont (FTGLlayout *, FTGLfont *)
FTGLfont * | ftglGetLayoutFont (FTGLlayout *)
void | ftglSetLayoutLineLength (FTGLlayout *, const float)
float | ftglGetLayoutLineLength (FTGLlayout *)
void | ftglSetLayoutAlignment (FTGLlayout *, const int)
int | ftglGetLayoutAlignment (FTGLlayout *)
int | ftglGetLayoutAlignement (FTGLlayout *)
void | ftglSetLayoutLineSpacing (FTGLlayout *, const float)
float | ftglGetLayoutLineSpacing (FTGLlayout *)

## Function Documentation

## ◆ ftglCreateSimpleLayout()

FTGLlayout * ftglCreateSimpleLayout | ( | void |  | ) |

References FTGL_EXPORT, and ftglCreateSimpleLayout().

Referenced by ftglCreateSimpleLayout().

## ◆ ftglGetLayoutAlignement()

int ftglGetLayoutAlignement | ( | FTGLlayout * |  | ) |

References FTGL_EXPORT, and ftglGetLayoutAlignement().

Referenced by ftglGetLayoutAlignement().

## ◆ ftglGetLayoutAlignment()

int ftglGetLayoutAlignment | ( | FTGLlayout * |  | ) |

References FTGL_EXPORT, and ftglGetLayoutAlignment().

Referenced by ftglGetLayoutAlignment().

## ◆ ftglGetLayoutFont()

FTGLfont * ftglGetLayoutFont | ( | FTGLlayout * |  | ) |

References FTGL_EXPORT, and ftglGetLayoutFont().

Referenced by ftglGetLayoutFont().

## ◆ ftglGetLayoutLineLength()

float ftglGetLayoutLineLength | ( | FTGLlayout * |  | ) |

References FTGL_EXPORT, and ftglGetLayoutLineLength().

Referenced by ftglGetLayoutLineLength().

## ◆ ftglGetLayoutLineSpacing()

float ftglGetLayoutLineSpacing | ( | FTGLlayout * |  | ) |

References FTGL_END_C_DECLS, FTGL_EXPORT, and ftglGetLayoutLineSpacing().

Referenced by ftglGetLayoutLineSpacing().

## ◆ ftglSetLayoutAlignment()

void ftglSetLayoutAlignment | ( | FTGLlayout * | ,
|  | const int | )

References FTGL_EXPORT, and ftglSetLayoutAlignment().

Referenced by ftglSetLayoutAlignment().

## ◆ ftglSetLayoutFont()

void ftglSetLayoutFont | ( | FTGLlayout * | ,
|  | FTGLfont * | )

References FTGL_EXPORT, and ftglSetLayoutFont().

Referenced by ftglSetLayoutFont().

## ◆ ftglSetLayoutLineLength()

void ftglSetLayoutLineLength | ( | FTGLlayout * | ,
|  | const float | )

References FTGL_EXPORT, and ftglSetLayoutLineLength().

Referenced by ftglSetLayoutLineLength().

## ◆ ftglSetLayoutLineSpacing()

void ftglSetLayoutLineSpacing | ( | FTGLlayout * | ,
|  | const float | )

References FTGL_EXPORT, and ftglSetLayoutLineSpacing().

Referenced by ftglSetLayoutLineSpacing().